org.apache.calcite.avatica.proto

## Class Common.QueryState.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>
      - - org.apache.calcite.avatica.proto.Common.QueryState.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Common.QueryStateOrBuilder

Enclosing class:
  Common.QueryState

    public static final class Common.QueryState.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>
    implements Common.QueryStateOrBuilder

Protobuf type `QueryState`

### Field Summary

Fields
`private List<Common.MetaDataOperationArgument>` `args_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.MetaDataOperationArgument,Common.MetaDataOperationArgument.Builder,Common.MetaDataOperationArgumentOrBuilder>` `argsBuilder_`
`private int` `bitField0_`
`private boolean` `hasArgs_`
`private boolean` `hasOp_`
`private boolean` `hasSql_`
`private int` `op_`
`private Object` `sql_`
`private int` `type_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.QueryState.Builder` `addAllArgs(Iterable<? extends Common.MetaDataOperationArgument> values)` `repeated .MetaDataOperationArgument args = 4;`
`Common.QueryState.Builder` `addArgs(Common.MetaDataOperationArgument.Builder builderForValue)` `repeated .MetaDataOperationArgument args = 4;`
`Common.QueryState.Builder` `addArgs(Common.MetaDataOperationArgument value)` `repeated .MetaDataOperationArgument args = 4;`
`Common.QueryState.Builder` `addArgs(int index, Common.MetaDataOperationArgument.Builder builderForValue)` `repeated .MetaDataOperationArgument args = 4;`
`Common.QueryState.Builder` `addArgs(int index, Common.MetaDataOperationArgument value)` `repeated .MetaDataOperationArgument args = 4;`
`Common.MetaDataOperationArgument.Builder` `addArgsBuilder()` `repeated .MetaDataOperationArgument args = 4;`
`Common.MetaDataOperationArgument.Builder` `addArgsBuilder(int index)` `repeated .MetaDataOperationArgument args = 4;`
`Common.QueryState.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.QueryState` `build()`
`Common.QueryState` `buildPartial()`
`Common.QueryState.Builder` `clear()`
`Common.QueryState.Builder` `clearArgs()` `repeated .MetaDataOperationArgument args = 4;`
`Common.QueryState.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.QueryState.Builder` `clearHasArgs()` `bool has_args = 5;`
`Common.QueryState.Builder` `clearHasOp()` `bool has_op = 7;`
`Common.QueryState.Builder` `clearHasSql()` `bool has_sql = 6;`
`Common.QueryState.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.QueryState.Builder` `clearOp()` `.MetaDataOperation op = 3;`
`Common.QueryState.Builder` `clearSql()` `string sql = 2;`
`Common.QueryState.Builder` `clearType()` `.StateType type = 1;`
`Common.QueryState.Builder` `clone()`
`private void` `ensureArgsIsMutable()`
`Common.MetaDataOperationArgument` `getArgs(int index)` `repeated .MetaDataOperationArgument args = 4;`
`Common.MetaDataOperationArgument.Builder` `getArgsBuilder(int index)` `repeated .MetaDataOperationArgument args = 4;`
`List<Common.MetaDataOperationArgument.Builder>` `getArgsBuilderList()` `repeated .MetaDataOperationArgument args = 4;`
`int` `getArgsCount()` `repeated .MetaDataOperationArgument args = 4;`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.MetaDataOperationArgument,Common.MetaDataOperationArgument.Builder,Common.MetaDataOperationArgumentOrBuilder>` `getArgsFieldBuilder()`
`List<Common.MetaDataOperationArgument>` `getArgsList()` `repeated .MetaDataOperationArgument args = 4;`
`Common.MetaDataOperationArgumentOrBuilder` `getArgsOrBuilder(int index)` `repeated .MetaDataOperationArgument args = 4;`
`List<? extends Common.MetaDataOperationArgumentOrBuilder>` `getArgsOrBuilderList()` `repeated .MetaDataOperationArgument args = 4;`
`Common.QueryState` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getHasArgs()` `bool has_args = 5;`
`boolean` `getHasOp()` `bool has_op = 7;`
`boolean` `getHasSql()` `bool has_sql = 6;`
`Common.MetaDataOperation` `getOp()` `.MetaDataOperation op = 3;`
`int` `getOpValue()` `.MetaDataOperation op = 3;`
`String` `getSql()` `string sql = 2;`
`com.google.protobuf.ByteString` `getSqlBytes()` `string sql = 2;`
`Common.StateType` `getType()` `.StateType type = 1;`
`int` `getTypeValue()` `.StateType type = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.QueryState.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.QueryState.Builder` `mergeFrom(Common.QueryState other)`
`Common.QueryState.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Common.QueryState.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.QueryState.Builder` `removeArgs(int index)` `repeated .MetaDataOperationArgument args = 4;`
`Common.QueryState.Builder` `setArgs(int index, Common.MetaDataOperationArgument.Builder builderForValue)` `repeated .MetaDataOperationArgument args = 4;`
`Common.QueryState.Builder` `setArgs(int index, Common.MetaDataOperationArgument value)` `repeated .MetaDataOperationArgument args = 4;`
`Common.QueryState.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.QueryState.Builder` `setHasArgs(boolean value)` `bool has_args = 5;`
`Common.QueryState.Builder` `setHasOp(boolean value)` `bool has_op = 7;`
`Common.QueryState.Builder` `setHasSql(boolean value)` `bool has_sql = 6;`
`Common.QueryState.Builder` `setOp(Common.MetaDataOperation value)` `.MetaDataOperation op = 3;`
`Common.QueryState.Builder` `setOpValue(int value)` `.MetaDataOperation op = 3;`
`Common.QueryState.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Common.QueryState.Builder` `setSql(String value)` `string sql = 2;`
`Common.QueryState.Builder` `setSqlBytes(com.google.protobuf.ByteString value)` `string sql = 2;`
`Common.QueryState.Builder` `setType(Common.StateType value)` `.StateType type = 1;`
`Common.QueryState.Builder` `setTypeValue(int value)` `.StateType type = 1;`
`Common.QueryState.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### bitField0_

    private int bitField0_

#### type_

    private int type_

#### sql_

    private Object sql_

#### op_

    private int op_

#### args_

    private List<Common.MetaDataOperationArgument> args_

#### argsBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.MetaDataOperationArgument,Common.MetaDataOperationArgument.Builder,Common.MetaDataOperationArgumentOrBuilder> argsBuilder_

#### hasArgs_

    private boolean hasArgs_

#### hasSql_

    private boolean hasSql_

#### hasOp_

    private boolean hasOp_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.QueryState.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### getDefaultInstanceForType

    public Common.QueryState getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.QueryState build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.QueryState buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.QueryState.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### setField

    public Common.QueryState.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### clearField

    public Common.QueryState.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### clearOneof

    public Common.QueryState.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### setRepeatedField

    public Common.QueryState.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      int index,
                                                      Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### addRepeatedField

    public Common.QueryState.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### mergeFrom

    public Common.QueryState.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.QueryState.Builder>`

#### mergeFrom

    public Common.QueryState.Builder mergeFrom(Common.QueryState other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### mergeFrom

    public Common.QueryState.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.QueryState.Builder>`
Throws:
  `IOException`

#### getTypeValue

    public int getTypeValue()

`.StateType type = 1;`

Specified by:
  `getTypeValue` in interface `Common.QueryStateOrBuilder`

#### setTypeValue

    public Common.QueryState.Builder setTypeValue(int value)

`.StateType type = 1;`

#### getType

    public Common.StateType getType()

`.StateType type = 1;`

Specified by:
  `getType` in interface `Common.QueryStateOrBuilder`

#### setType

    public Common.QueryState.Builder setType(Common.StateType value)

`.StateType type = 1;`

#### clearType

    public Common.QueryState.Builder clearType()

`.StateType type = 1;`

#### getSql

    public String getSql()

`string sql = 2;`

Specified by:
  `getSql` in interface `Common.QueryStateOrBuilder`

#### getSqlBytes

    public com.google.protobuf.ByteString getSqlBytes()

`string sql = 2;`

Specified by:
  `getSqlBytes` in interface `Common.QueryStateOrBuilder`

#### setSql

    public Common.QueryState.Builder setSql(String value)

`string sql = 2;`

#### clearSql

    public Common.QueryState.Builder clearSql()

`string sql = 2;`

#### setSqlBytes

    public Common.QueryState.Builder setSqlBytes(com.google.protobuf.ByteString value)

`string sql = 2;`

#### getOpValue

    public int getOpValue()

`.MetaDataOperation op = 3;`

Specified by:
  `getOpValue` in interface `Common.QueryStateOrBuilder`

#### setOpValue

    public Common.QueryState.Builder setOpValue(int value)

`.MetaDataOperation op = 3;`

#### getOp

    public Common.MetaDataOperation getOp()

`.MetaDataOperation op = 3;`

Specified by:
  `getOp` in interface `Common.QueryStateOrBuilder`

#### setOp

    public Common.QueryState.Builder setOp(Common.MetaDataOperation value)

`.MetaDataOperation op = 3;`

#### clearOp

    public Common.QueryState.Builder clearOp()

`.MetaDataOperation op = 3;`

#### ensureArgsIsMutable

    private void ensureArgsIsMutable()

#### getArgsList

    public List<Common.MetaDataOperationArgument> getArgsList()

`repeated .MetaDataOperationArgument args = 4;`

Specified by:
  `getArgsList` in interface `Common.QueryStateOrBuilder`

#### getArgsCount

    public int getArgsCount()

`repeated .MetaDataOperationArgument args = 4;`

Specified by:
  `getArgsCount` in interface `Common.QueryStateOrBuilder`

#### getArgs

    public Common.MetaDataOperationArgument getArgs(int index)

`repeated .MetaDataOperationArgument args = 4;`

Specified by:
  `getArgs` in interface `Common.QueryStateOrBuilder`

#### setArgs

    public Common.QueryState.Builder setArgs(int index,
                                             Common.MetaDataOperationArgument value)

`repeated .MetaDataOperationArgument args = 4;`

#### setArgs

    public Common.QueryState.Builder setArgs(int index,
                                             Common.MetaDataOperationArgument.Builder builderForValue)

`repeated .MetaDataOperationArgument args = 4;`

#### addArgs

    public Common.QueryState.Builder addArgs(Common.MetaDataOperationArgument value)

`repeated .MetaDataOperationArgument args = 4;`

#### addArgs

    public Common.QueryState.Builder addArgs(int index,
                                             Common.MetaDataOperationArgument value)

`repeated .MetaDataOperationArgument args = 4;`

#### addArgs

    public Common.QueryState.Builder addArgs(Common.MetaDataOperationArgument.Builder builderForValue)

`repeated .MetaDataOperationArgument args = 4;`

#### addArgs

    public Common.QueryState.Builder addArgs(int index,
                                             Common.MetaDataOperationArgument.Builder builderForValue)

`repeated .MetaDataOperationArgument args = 4;`

#### addAllArgs

    public Common.QueryState.Builder addAllArgs(Iterable<? extends Common.MetaDataOperationArgument> values)

`repeated .MetaDataOperationArgument args = 4;`

#### clearArgs

    public Common.QueryState.Builder clearArgs()

`repeated .MetaDataOperationArgument args = 4;`

#### removeArgs

    public Common.QueryState.Builder removeArgs(int index)

`repeated .MetaDataOperationArgument args = 4;`

#### getArgsBuilder

    public Common.MetaDataOperationArgument.Builder getArgsBuilder(int index)

`repeated .MetaDataOperationArgument args = 4;`

#### getArgsOrBuilder

    public Common.MetaDataOperationArgumentOrBuilder getArgsOrBuilder(int index)

`repeated .MetaDataOperationArgument args = 4;`

Specified by:
  `getArgsOrBuilder` in interface `Common.QueryStateOrBuilder`

#### getArgsOrBuilderList

    public List<? extends Common.MetaDataOperationArgumentOrBuilder> getArgsOrBuilderList()

`repeated .MetaDataOperationArgument args = 4;`

Specified by:
  `getArgsOrBuilderList` in interface `Common.QueryStateOrBuilder`

#### addArgsBuilder

    public Common.MetaDataOperationArgument.Builder addArgsBuilder()

`repeated .MetaDataOperationArgument args = 4;`

#### addArgsBuilder

    public Common.MetaDataOperationArgument.Builder addArgsBuilder(int index)

`repeated .MetaDataOperationArgument args = 4;`

#### getArgsBuilderList

    public List<Common.MetaDataOperationArgument.Builder> getArgsBuilderList()

`repeated .MetaDataOperationArgument args = 4;`

#### getArgsFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.MetaDataOperationArgument,Common.MetaDataOperationArgument.Builder,Common.MetaDataOperationArgumentOrBuilder> getArgsFieldBuilder()

#### getHasArgs

    public boolean getHasArgs()

`bool has_args = 5;`

Specified by:
  `getHasArgs` in interface `Common.QueryStateOrBuilder`

#### setHasArgs

    public Common.QueryState.Builder setHasArgs(boolean value)

`bool has_args = 5;`

#### clearHasArgs

    public Common.QueryState.Builder clearHasArgs()

`bool has_args = 5;`

#### getHasSql

    public boolean getHasSql()

`bool has_sql = 6;`

Specified by:
  `getHasSql` in interface `Common.QueryStateOrBuilder`

#### setHasSql

    public Common.QueryState.Builder setHasSql(boolean value)

`bool has_sql = 6;`

#### clearHasSql

    public Common.QueryState.Builder clearHasSql()

`bool has_sql = 6;`

#### getHasOp

    public boolean getHasOp()

`bool has_op = 7;`

Specified by:
  `getHasOp` in interface `Common.QueryStateOrBuilder`

#### setHasOp

    public Common.QueryState.Builder setHasOp(boolean value)

`bool has_op = 7;`

#### clearHasOp

    public Common.QueryState.Builder clearHasOp()

`bool has_op = 7;`

#### setUnknownFields

    public final Common.QueryState.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`

#### mergeUnknownFields

    public final Common.QueryState.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.QueryState.Builder>`